/*
 * wnix, a Unix-like operating system for WebAssembly applications.
 * Copyright (C) 2025  Xavier Del Campo Romero
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <kprintf.h>
#include <nanowasm/nw.h>
#include <stdarg.h>


#include <drv/ps1/bios.h>
#include <dynstr.h>
int nwp_log(const char *const fmt, ...)
{
    int ret;
    va_list ap;

    va_start(ap, fmt);
#if 0
    ret = ktvprintf(false, fmt, ap);
#else
    struct dynstr d;
    dynstr_init(&d);
    if (dynstr_vappend(&d, fmt, ap)) ret = -1;
    else
        ret = Printf("%s", d.str);
    dynstr_free(&d);
#endif
    va_end(ap);
    return ret;
}
